# BWTAqua

[![License: GPL v3](https://img.shields.io/badge/License-GPL_v3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0.html)  

Simple yet helpful bot to check BWT Aqua's card balance

> ⚠️ Please note that this branch is made for testing only so it can sometimes work strange or do not work at all.

## Requirements

* Python 3.8+
* git

## Installation

1. Download package
    1. `git clone https://git.end-play.xyz/profitroll/BWTAqua.git`
    2. `cd BWTAqua`

2. Create venv
    1. `python3 -m venv .venv`
    2. `source .venv/bin/activate`

3. Install needed modules
    * `pip install -r requirements.txt`

4. Configure the bot
    * `nano config.json` (You can use any other text editor actually, for example `vim`)

5. Run the bot
    * `python main.py`

## Configuration

You can edit with vim, nano, whatever.  
If you don't know where to find bot_token and your id - here you can find some hints:
[get bot token](https://www.siteguarding.com/en/how-to-get-telegram-bot-api-token),
[get your id](https://www.alphr.com/telegram-find-user-id/),
[get api_hash and api_id](https://core.telegram.org/api/obtaining_api_id).  

## Upgrading from v1.x

If you have just installed your fresh and new v2.x, migrate the database by starting the bot with `--migrate` argument.
