"""Module that provides all database collections"""

import sqlite3
from pathlib import Path

from libbot.sync import config_get

db: sqlite3.Connection = sqlite3.connect(Path(config_get("database")))
cursor: sqlite3.Cursor = db.cursor()

cursor.execute("CREATE TABLE IF NOT EXISTS users (id INTEGER, card TEXT, locale TEXT)")
