import asyncio

from pyrogram import filters
from pyrogram.types import Message

from classes.pyroclient import PyroClient


@PyroClient.on_message(
    ~filters.scheduled
    & filters.command(["shutdown", "reboot", "restart"], prefixes=["/", ""])  # type: ignore
)
async def command_shutdown(app: PyroClient, message: Message):
    if message.from_user.id == app.owner:
        asyncio.get_event_loop().create_task(app.stop())
