from pyrogram import filters
from pyrogram.types import Message

from classes.pyroclient import PyroClient


@PyroClient.on_message(
    ~filters.scheduled & filters.private & filters.command(["start", "welcome", "help"], prefixes=["/", ""])  # type: ignore
)
async def command_start(app: PyroClient, message: Message):
    user = await app.find_user(message.from_user)

    await message.reply_text(
        app._("welcome", "messages", locale=user.locale).format(
            notice=app._("get_number", "messages", locale=user.locale)
        )
    )
